Bug 504954 - crontab isn't usable with selinux enabled
crontab isn't usable with selinux enabled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cronie (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 04:09 EDT by Matt
Modified: 2009-06-16 03:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 03:29:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt 2009-06-10 04:09:06 EDT
Description of problem:
I can't access crontab without disabling selinux.

Version-Release number of selected component (if applicable):

How reproducible:
Try a fresh installation of Fedora 11 and enter 'crontab -e' as root

Steps to Reproduce:
1.Install Fedora 11 (x86-64)
2.login as root
3.enter "crontab -e"
  
Actual results:
[root@fry /]# crontab -e
-bash: /usr/bin/crontab: Keine Berechtigung

(means "no permission")

Expected results:

opens new vim-Window to enter some cronjobs

Additional info:

setenforce 0, wich means disabling selinux temporary, solves the problem
Comment 1 Marcela Mašláňová 2009-06-10 04:23:18 EDT
What's are the released versions?
rpm -q selinux-policy selinux-policy-targeted cronie

In case updating won't help then I'll need more information.
What's /var/log/cron is saying about this failure? Also there will be some messages in /var/log/audit/audit.log. Please attach the related parts of log files. Or if setroubleshoot (the star) offer some message, then you can attach it.
Comment 2 Matt 2009-06-10 04:33:18 EDT
released versions:

selinux-policy-3.6.12-39.fc11.noarch
selinux-policy-targeted-3.6.12-39.fc11.noarch
cronie-1.2-7.fc11.x86_64

/var/log/cron is empty

/var/log/audit/audit.log did not have anything about "cron" or "crontab"

setroubleshoot is also empty
Comment 3 Marcela Mašláňová 2009-06-10 04:42:53 EDT
Strange. Anyway I suggest first install testing update https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5888
Comment 4 Marcela Mašláňová 2009-06-11 03:49:48 EDT
Does the updated policy fixed the issue?
Comment 5 Jason Farrell 2009-06-13 12:35:49 EDT
selinux-policy-3.6.12-45.fc11.noarch has fixed the crontab denials I was seeing: users' crontabs couldn't write to their own homedirs; "crontab -e" couldn't update ~/.viminfo, etc.
Comment 6 Matt 2009-06-13 12:46:33 EDT
Confirm, that crontab -e is now working.
Comment 7 Susi Lehtola 2009-06-14 14:22:05 EDT
I can reproduce this on i386 and confirm the update fixes the problem.
Comment 8 Marcela Mašláňová 2009-06-16 03:29:42 EDT
Thanks for confirmation.

Fixed with selinux-policy-3.6.12-45.fc11.noarch

Note You need to log in before you can comment on or make changes to this bug.